Release Automation

Expand all | Collapse all

Jenkins plugin 6.5.3 does not work with Jenkins 2.277.1

  • 1.  Jenkins plugin 6.5.3 does not work with Jenkins 2.277.1

    Posted 04-27-2021 01:14 PM

    Hello team,
    with the upgrade of Jenkins to the version 2.277.1 the RA plugin configuration in freestyle job does not work. 

    The existing job execution will still work.

    Also jenkins pipeline style jobs can be created/configured/executed with new version


    Because of security reasons, we need regularly upgrade Jenkins. We upgraded Jenkins from 2.263.4 (LTS) to 2.277.1 (LTS) on 15.4.2021.

    LTS 2.277.1 introduced major change in Jenkins core; there has been 'table to div' -change in the UI.

    Plugins do not require any changes at all, if they use the standard Jelly tags in Jenkins for their forms. That seems not be the case with Nolio (RA) Jenkins plugin and it does not work with Jenkins 2.277.1 (LTS).
    Nolio plugin job configuration (Freestyle and Maven projects at least) does not work and you cannot save the configuration. Existing jobs work as expected.
    So we need to have fix for the Nolio plugin to be able to create and maintain job configurations.


    Thank you

    Best regards
    Rosario Sessa 



  • 2.  RE: Jenkins plugin 6.5.3 does not work with Jenkins 2.277.1

    Broadcom Employee
    Posted 04-28-2021 03:59 AM
    Edited by Dheeraj Pershad 04-28-2021 08:26 AM
    HI Rosario,

    We were made aware of the problem with the Jenkins Plug in.
    We are working towards looking to certify Jenkins v2.277 as we enter our planning for the next quarter starting May'21.

    We do not yet have sizing estimates to know by when you can expect the see this update, we will keep you posted as and when we have ETA to share.

    Regards,
    Dheeraj Pershad


  • 3.  RE: Jenkins plugin 6.5.3 does not work with Jenkins 2.277.1

    Posted 04-28-2021 04:43 AM
    Hi Dheeraj,
    thank you for the update.
    I see that in your answer anyway you are referring to the Jenkins Action Pack (so on Nolio side) while we have the issue with the Jenkins plugin (so on Jenkin side).

    Best regards
    Rosario Sessa



  • 4.  RE: Jenkins plugin 6.5.3 does not work with Jenkins 2.277.1

    Broadcom Employee
    Posted 04-28-2021 04:46 AM
    HI Rosario,
    Thanks for pointing that out, I have edited my response to indicate that we are working on the plug in and not the action pack


  • 5.  RE: Jenkins plugin 6.5.3 does not work with Jenkins 2.277.1

    Posted 04-29-2021 10:00 AM
    @Dheeraj Pershad I'm assuming this issue being discussed impact all versions of the Jenkins plug-in for Nolio RA? We currently have plug-in version 6.5.0 installed, our Jenkins instance is running ​2.235.5. We have plans to upgrade Jenkins to 2.277.3 soon, but want to confirm if we will see the same issue as described in this post with plug-in version 6.5.0?

    You mentioned that you were looking to certify Jenkins v2.277 soon, what is the highest version of Jenkins that is currently certified for the plug-in and that you can advise will still work with the Nolio RA plug-in? If we can't upgrade to 2.277.3 because of this issue then we want to know whether we can upgrade to a lower version of Jenkins and things still work.

    Regards,
    Luke


  • 6.  RE: Jenkins plugin 6.5.3 does not work with Jenkins 2.277.1

    Broadcom Employee
    Posted 04-30-2021 05:06 AM
    Hi @Luke Randall,

    You are right, the issue being discussed impacts all active versions of the Jenkins Plugin we support today, meaning if you are either on 6.5.0 or 6.5.3, in the event of upgrading to Jenkins 2.227, you will face this issue.

    The highest version of Jenkins that you can work with is 2.263, having said that, at the same time we are evaluating addressing the issue with v2.277 and releasing a newer version of the Plug-in soon. I should have an update for this forum in a couple of weeks time. So if you can hold on for couple of weeks, I would recommend you do so.

    Let me know if you have any further questions.

    Thanks,
    Dheeraj Pershad​


  • 7.  RE: Jenkins plugin 6.5.3 does not work with Jenkins 2.277.1

    Broadcom Employee
    Posted 05-31-2021 02:23 AM
    Edited by Dheeraj Pershad 05-31-2021 02:23 AM
    Hello  Everyone,
    We are happy to inform you that Nolio Jenkins Plugin 6.5.4 has been released. This release includes the following.
    1. Added support for Jenkins 2.277.x
    2. Enabled certificate validation to improve secure communication between Jenkins server and Nolio Release Automation server. For example, Self-signed certificates might be rejected until they have been explicitly added to TrustStore.
    3. Improved error messages to distinguish between Nolio RA errors and System errors.
    Plugin can be downloaded from 
    Please let us know if you have any further questions. We will be happy to help you



  • 8.  RE: Jenkins plugin 6.5.3 does not work with Jenkins 2.277.1

    Broadcom Employee
    Posted 06-01-2021 05:22 AM
    Hi Everyone,

    We are happy to inform you that we have released Nolio Jenkins Plugin 6.5.4. This release includes the following
    • Added support for Jenkins v2.277.x.
    • Enabled certificate validation to have more secure communication between Jenkins server and Nolio Server. For example, Self-signed certificates might be rejected until it has been explicitly added to Java Trust Store.
    • Improved error messages to distinguish between Nolio RA errors and system errors.
    Plugin can be downloaded from Nolio Release Automation - Jenkins Plugin 6.5.4

    Please let me know if you have any further questions. I will be happy to help you.